@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;0,900;1,700;1,900&family=Roboto:ital,wght@0,300;0,400;0,700;0,900;1,400;1,700;1,900&display=swap');

* {
    font-family: Lato, Roboto, sans-serif;
}

::selection {
    background-color: rgba(99, 87, 229, 0.573);
}

:root {
    --main-color: #6356E5;
    --secondary-color: #ffffff;
    --supplementary-color: #FFB405;
    --hover-main-color: #4C47B9;
}

a {
    text-decoration: none !important;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#logo:hover {
    animation: spin 1s infinite linear;
}

/* Custom Scroll Design */
::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* NAVBAR */
.navbar-nav .nav-link:hover {
    color: var(--main-color);
}

.navbar-nav .nav-link {
    margin-right: 50px;
}

.navbar-nav .nav-link {
    font-size: 18px;
}

/* Courses Page */
.card { 
    height: 100%;
}

/* About Page */
.container-aboutus {
    background-color: #fefefe;
    padding: 20px;
    border-radius: 5px;
    margin-top: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.container-aboutus h1 {
    font-size: 36px;
    margin-bottom: 20px;
}

.container-aboutus p {
    font-size: 20px;
    line-height: 1.5;
}

.container-aboutus ul {
    list-style: disc;
    margin-left: 20px;
}

.container-aboutus li {
    font-size: 18px;
}


.student {
    width: 100%;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    margin: 10px;
}

.student img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    margin: 0 auto 10px;
    display: block;
    object-fit: cover;
}

.student h3 {
    font-size: 20px;
    font-weight: 600;
}

.student p {
    font-size: 16px;
    color: #777;
}


#studentCarousel .carousel-control-prev-icon, #studentCarousel .carousel-control-next-icon {
    background-color: var(--main-color);
}


/* Purchase page */
form {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(99, 86, 229, 0.1);
}

.form-control {
    border: 2px solid var(--main-color);
    border-radius: 5px;
}

.form-select {
    border: 2px solid var(--main-color);
    border-radius: 5px;
}

.btn-primary {
    background-color: var(--main-color);
    border: none;
}

.btn-primary:hover {
    background-color: var(--hover-main-color);
}


.custom-input {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid var(--main-color);
    border-radius: 5px;
    font-size: 16px;
}

.custom-input:focus {
    outline: none;
    border: 1px solid var(--main-color);
}

.custom-button {
    background-color: var(--main-color);
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 18px;
    cursor: pointer;
}

.custom-button:hover {
    background-color: var(--hover-main-color);
}

.custom-form-group {
    margin-bottom: 20px;
}


label {
    display: block;
    margin-top: 10px;
}

input[type="text"],
input[type="number"],
select {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

select {
    background-color: #fff;
}

#courseSelect:hover option:hover {
    background-color: rgba(99, 87, 229, 0.573) !important;
}

textarea {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    resize: vertical;
}

button {
    background-color: var(--main-color);
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}